import { Props, Instance as TippyInstance } from 'tippy.js';
import { Directive } from 'vue';
declare const _mode: unique symbol;
type VTippyMode = 'inline' | 'target';
declare const _tippy: unique symbol;
declare global {
    interface HTMLElement {
        [_mode]?: VTippyMode;
        [_tippy]?: TippyInstance;
    }
}
export type TooltipBinding = string | Partial<Props> | undefined;
declare const TooltipDirective: Directive<HTMLElement, TooltipBinding>;
export { TooltipDirective, TooltipDirective as vTooltip };
